PETSc version 3.17.4
Fix/Edit manual page

# KSPHPDDMPrecision

Precision of Krylov bases used by KSPHPDDM

### Synopsis

    typedef enum {
      KSP_HPDDM_PRECISION_HALF = 0,
      KSP_HPDDM_PRECISION_SINGLE = 1,
      KSP_HPDDM_PRECISION_DOUBLE = 2,
      KSP_HPDDM_PRECISION_QUADRUPLE = 3
    } KSPHPDDMPrecision;

### Values

      KSP_HPDDM_PRECISION_HALF (currently unsupported)

      KSP_HPDDM_PRECISION_SINGLE (default when PETSc is configured --with-precision=single)

      KSP_HPDDM_PRECISION_DOUBLE (default when PETSc is configured --with-precision=double)

      KSP_HPDDM_PRECISION_QUADRUPLE (currently unsupported)

### See Also

KSPHPDDM

### Level

intermediate

### Location

src/ksp/ksp/guess/../../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages